noise_stats_s Struct Reference

## Data Fields

powspec_t * | power
powspec_t * | noise
powspec_t * | floor
powspec_t * | peak
uint8 | undefined
uint32 | num_filters
powspec_t | slow_peak_sum
powspec_t | lambda_power
powspec_t | comp_lambda_power
powspec_t | lambda_a
powspec_t | comp_lambda_a
powspec_t | lambda_b
powspec_t | comp_lambda_b
powspec_t | lambda_t
powspec_t | mu_t
powspec_t | max_gain
powspec_t | inv_max_gain
powspec_t | smooth_scaling [2 *SMOOTH_WINDOW+3]

## Detailed Description

Definition at line 83 of file fe_noise.c.

## Field Documentation

## comp_lambda_a

powspec_t noise_stats_s::comp_lambda_a

Definition at line 105 of file fe_noise.c.

## comp_lambda_b

powspec_t noise_stats_s::comp_lambda_b

Definition at line 107 of file fe_noise.c.

## comp_lambda_power

powspec_t noise_stats_s::comp_lambda_power

Definition at line 103 of file fe_noise.c.

## floor

powspec_t* noise_stats_s::floor

Definition at line 89 of file fe_noise.c.

## inv_max_gain

powspec_t noise_stats_s::inv_max_gain

Definition at line 111 of file fe_noise.c.

## lambda_a

powspec_t noise_stats_s::lambda_a

Definition at line 104 of file fe_noise.c.

## lambda_b

powspec_t noise_stats_s::lambda_b

Definition at line 106 of file fe_noise.c.

## lambda_power

powspec_t noise_stats_s::lambda_power

Definition at line 102 of file fe_noise.c.

## lambda_t

powspec_t noise_stats_s::lambda_t

Definition at line 108 of file fe_noise.c.

## max_gain

powspec_t noise_stats_s::max_gain

Definition at line 110 of file fe_noise.c.

## mu_t

powspec_t noise_stats_s::mu_t

Definition at line 109 of file fe_noise.c.

## noise

powspec_t* noise_stats_s::noise

Definition at line 87 of file fe_noise.c.

## num_filters

uint32 noise_stats_s::num_filters

Definition at line 96 of file fe_noise.c.

## peak

powspec_t* noise_stats_s::peak

Definition at line 91 of file fe_noise.c.

## power

powspec_t* noise_stats_s::power

Definition at line 85 of file fe_noise.c.

## slow_peak_sum

powspec_t noise_stats_s::slow_peak_sum

Definition at line 99 of file fe_noise.c.

## smooth_scaling

powspec_t noise_stats_s::smooth_scaling[2 *SMOOTH_WINDOW+3]

Definition at line 113 of file fe_noise.c.

## undefined

uint8 noise_stats_s::undefined

Definition at line 94 of file fe_noise.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/fe_noise.c